--- title: "Get cluster IAM access" slug: "nks-getaccessentry" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-getaccessentry" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get cluster IAM access Available in VPC Get IAM access information for a specific cluster. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vnks/v2/clusters/{uuid}/access-entries/{entryUuid} (Korea Region) | | GET | /vnks/sgn-v2/clusters/{uuid}/access-entries/{entryUuid} (Singapore Region) | | GET | /vnks/jpn-v2/clusters/{uuid}/access-entries/{entryUuid} (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster's UUID - See [Get cluster list](/docs/en/nks-getclusterlist) | | `entryUuid` | String | Required | IAM access entry UUID - See [Get IAM access list](/docs/en/nks-getaccessentrylist.md) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****/access-entries/****a20e-e0fb-4dc9-af1b-97fd3f8d****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `accessEntry` | Object | - | IAM access information | | `accessEntry.uuid` | String | - | IAM access entry UUID | | `accessEntry.entry` | String | - | NRN information by IAM USER, ROLE | | `accessEntry.groups` | Array | - | Group name | | `accessEntry.policies` | Array | - | Policy list: [policies](/docs/en/nks-getaccessentry#policies) | #### `policies` The following describes `policies`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | - | Policy type | | `scope` | String | - | Policy scope | | `namespaces` | Array | - | Namespace | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "accessEntry": { "clusterUuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****", "entry": "***:Account::***", "policies": [ { "scope": "Cluster", "type": "NKSClusterAdminPolicy" } ], "uuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****" } } ```